Recidificacin en cuatro categoras correspondiente a tendencia poltica

RECODE
  p100izde
  (1 thru 2=1)  (9 thru 10=4)  (3 thru 4=2)  (7 thru 8=3)  INTO  TendPol .
VARIABLE LABELS TendPol 'Tendencia Poltica'.
EXECUTE .

Asignar valores para la variable TendPol (Tendencia Poltica)

value labels TendPol
1'Extrema izquierda' 
2 'Centro izquierda'
3 'Centro derecha'
4 'Extrema derecha'.


Cruce de variables tendpol / p144pais

CROSSTABS
  /TABLES=tendpol  BY p144pais
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT ROW .

Grafico 1 Tendpol / p144pais

IGRAPH /VIEWNAME='Bar Chart' /X1 = VAR(p144pais) TYPE = CATEGORICAL /Y = $pct
  /PANEL = VAR(tendpol) /COORDINATE = VERTICAL  /X1LENGTH = 3.0 /YLENGTH = 3.0
  /X2LENGTH = 3.0 /CATORDER VAR(p144pais) (ASCENDING VALUES OMITEMPTY)
 /CATORDER VAR(tendpol) (ASCENDING VALUES OMITEMPTY) /BAR KEY=OFF LABEL INSIDE
  VAL  SHAPE = RECTANGLE BASELINE = AUTO.
EXE.

Grfico 2 Tendpol/144pais

GRAPH
  /BAR(GROUPED)=PCT BY p144pais BY tendpol .

